TechDraw RadiusDimension/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
(One intermediate revision by the same user not shown)
Line 10: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name/ru=Указать радиус
|Name=TechDraw Dimension Radius
|Name=TechDraw_RadiusDimension
|Name/ru=TechDraw Dimension Radius
|MenuLocation=TechDraw → Dimension Radius
|MenuLocation=TechDraw → Размеры → Указать радиус
|Workbenches=[[TechDraw_Workbench/ru|TechDraw]]
|Workbenches=[[TechDraw_Workbench/ru|TechDraw]]
|SeeAlso=[[TechDraw_Dimension_Diameter/ru|TechDraw Dimension Diameter]]
|SeeAlso=[[TechDraw_DiameterDimension/ru|Указать диаметр]]
}}
}}
</div>


==Описание==
==Описание==
Line 58: Line 56:




<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[TechDraw_VerticalDimension/ru|Указать вертикальный размер]]
|[[TechDraw_Dimension_Vertical/ru|Dimension Vertical]]
|[[TechDraw_DiameterDimension/ru|Указать диаметр]]
|[[TechDraw_Dimension_Diameter/ru|Dimension Diameter]]
|[[TechDraw_Workbench/ru|Верстак "TechDraw"]]
|[[TechDraw_Workbench/ru|Верстак "TechDraw"]]
|IconL=TechDraw_Dimension_Vertical.svg
|IconL=TechDraw_VerticalDimension.svg
|IconR=TechDraw_Dimension_Diameter.svg
|IconR=TechDraw_DiameterDimension.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
}}
}}
</div>


{{TechDraw Tools navi{{#translation:}}}}
{{TechDraw Tools navi{{#translation:}}}}

Revision as of 20:12, 15 September 2021

Other languages:

Указать радиус

Системное название
TechDraw_RadiusDimension
Расположение в меню
TechDraw → Размеры → Указать радиус
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Указать диаметр

Описание

The Radius Dimension tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw LinkDimension tool.

Measuring a circle, indicating the radius

Применение

  1. Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
  2. Press the Radius Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described in this page.

To change the properties of a dimension object either double-clicking it in the drawing or in the Tree view. This will open the dimension dialog.

Ограничения

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Свойства

See TechDraw LengthDimension.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The Radius Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)